//USER25C JOB (USER25),
// CLASS=A,MSGCLASS=X,NOTIFY=USER25
//*********************** SFMJCLXS *********************************
//* @START_RRS_COPYRIGHT@
//* VERSION: 0
//*
//* Licensed Materials - Property of IBM
//*
//* 5724-L44
//*
//* (c) Copyright IBM Corp. 2000, 2005
//* @END_RRS_COPYRIGHT@
//*********************************************************************
//*
//*  Compile XML conversion routine CVCATALD and
//*  optionally define program resource to CICS
//*
//*********************************************************************
//XMLCONV  PROC COBOLMEM='CVCATALD',
//             COBOLSRC='USER25.ESTCO.USER.SRCLIB',
//             COPYLIB='USER25.ESTCO.USER.COPYLIB',
//             LOADLIB='CUST.CICSC01.LOAD',
//             COMPLIB='COBOL.V3R2M0.SIGYCOMP',
//             CICSLOAD='CICSBLD.V3R2M0.CICS.SDFHLOAD',
//             LELOAD='CEE.SCEELKED',
//             CSFRMACS='CICSTS32.FLOW.NQA17C01.SCIZMAC'
//*
//COBOL    EXEC PGM=IGYCRCTL,REGION=4M,PARM='NODYNAM,LIB,RENT'
//STEPLIB  DD  DISP=SHR,DSN=&COMPLIB
//         DD  DISP=SHR,DSN=&CICSLOAD
//SYSLIB   DD  DISP=SHR,DSN=&COBOLSRC
//         DD  DISP=SHR,DSN=&COPYLIB
//         DD  DISP=SHR,DSN=&CSFRMACS
//SYSPRINT DD  SYSOUT=*
//SYSLIN   DD  DSN=&&LOADSET,DISP=(MOD,PASS),
//             UNIT=SYSDA,SPACE=(TRK,(3,3))
//SYSUT1   DD  UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSUT2   DD  UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSUT3   DD  UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSUT4   DD  UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSUT5   DD  UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSUT6   DD  UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSUT7   DD  UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSIN    DD  DISP=SHR,DSN=&COBOLSRC(&COBOLMEM)
//*
//LKED     EXEC PGM=IEWL,REGION=4M,PARM='LIST,XREF,RENT,MAP',
//             COND=(7,LT,COBOL)
//SYSLIB   DD  DISP=SHR,DSN=&CICSLOAD
//         DD  DISP=SHR,DSN=&LELOAD
//SYSLMOD  DD  DISP=SHR,DSN=&LOADLIB
//SYSUT1   DD  UNIT=SYSDA,DCB=BLKSIZE=1024,SPACE=(1024,(200,20))
//SYSPRINT DD  SYSOUT=*
//SYSLIN   DD  DSN=&&LOADSET,DISP=(OLD,DELETE)
//         DD  DDNAME=SYSIN
//         PEND
//XMLCOMP  EXEC XMLCONV
//LKED.SYSIN DD  *
   NAME CVCATALD(R)
/*
//**********************************************************************
//* RDO RESOURCE DEFINITIONS.  THIS ONLY NEEDS TO BE DONE ONE TIME.
//*    -- UNCOMMENT THIS STEP IF YOU NEED TO DEFINE THE
//*    -- CONVERTER PROGRAM RESOURCE (CVCATALD) TO CICS                    
//**********************************************************************
//*
//*DEFINE   EXEC PGM=DFHCSDUP,REGION=1024K,PARM='CSD(READWRITE)'         
//*STEPLIB  DD DSN=hlcicsq.SDFHLOAD,DISP=SHR
//*         DD DSN=hlcicsq.SDFHAUTH,DISP=SHR
//*         DD DSN=hlceeq.SCEERUN,DISP=SHR
//*DFHCSD   DD DSN=hlcicsq.DFHCSD,DISP=SHR
//*SYSPRINT DD SYSOUT=*
//*SYSIN    DD *
//*   DEFINE PROGRAM(CVCATALD) GROUP(CICSSFRG)                             
//*         DESCRIPTION(WEB SERVICE XML DATA CONVERTER)                                                    
//*         LANGUAGE(LE370) RELOAD(NO) RESIDENT(NO) USAGE(NORMAL)     
//*         USELPACOPY(NO) STATUS(ENABLED) CEDF(NO) DATALOCATION(ANY) 
//*         EXECKEY(USER) CONCURRENCY(QUASIRENT) DYNAMIC(NO)          
//*         EXECUTIONSET(FULLAPI) JVM(NO)                             
//* /*                                                                      
//        
