       IDENTIFICATION DIVISION.                                                 
MACGEN PROGRAM-ID. SAMPCAPN.                                            

MACGEN AUTHOR. RDZ.
MACGEN INSTALLATION. 8.1.0.V20090916_1613.
MACGEN DATE-WRITTEN. 11/4/09 11:39 AM.
MACGEN************************************************************
MACGEN* GENERATED NAVIGATOR MODULE - SAMPCAPN
MACGEN************************************************************
MACGEN* PROJECT: CatalogSample
MACGEN* FLOW: CatalogOrder.seqflow
MACGEN* GENERATION PROPERTIES: CatalogOrderGP.sfgen
MACGEN************************************************************                                                                
      *********************** DFHMAN20 *********************************        
      * @START_RRS_COPYRIGHT@                                                   
      * VERSION: 1                                                              
      *                                                                         
      * Licensed Materials - Property of IBM                                    
      *                                                                         
      * 5655-M15                                                                
      *                                                                         
      * (C) Copyright IBM Corp. 2000, 2005                                      
      * @END_RRS_COPYRIGHT@                                                     
      ******************************************************************        
       ENVIRONMENT DIVISION.                                                    
       CONFIGURATION SECTION.                                                   
       SOURCE-COMPUTER.  IBM-370.                                               
       OBJECT-COMPUTER.  IBM-370.                                               
       DATA DIVISION.                                                           
       WORKING-STORAGE SECTION.                                                 
       01  WS-NAVIGATOR-DEFINITION.                                             
MACGEN     05  WS-PROGRAM-ID       PIC X(08) VALUE 'SAMPCAPN'.          
MACGEN     05  WS-TRANSACTION-ID   PIC X(04) VALUE 'SADP'.           
           05  WS-PROGRAM-TYPE     PIC S9(8) COMP VALUE ZERO.                   
           05  WS-NODE-NAME        PIC X(32) VALUE SPACES.                      
           COPY DFHMAN31.                                                       
           COPY DFHMAL2C.                       
       01  NAVIGATOR-OUTPUT-AREA.                                               
MACGEN     COPY OCATALOG.
                                                             
       01  ACTIVITY-IO-AREA.                                                    
MACGEN     COPY ICHECKIT.
MACGEN     COPY OCHECKIT.
MACGEN     COPY DFH0XCMN.
                                                             
       01  DECISION-IO-AREA.                                                    
MACGEN     COPY VCATALOG.
                                                           
       01  ITERATION-IO-AREA.                                                   
MACGEN     02  DUMMY  PIC X(8) VALUE 'DFHDUMMY'.
                                                          
       01  LOCAL-CONTEXT-AREA.                                                  
MACGEN     02  DUMMY  PIC X(8) VALUE 'DFHDUMMY'.
                                                           
       01  SHARED-CONTEXT-AREA.                                                 
MACGEN     02  DUMMY  PIC X(8) VALUE 'DFHDUMMY'.
                                                          
       01  JOURNAL-CONTEXT-AREA.                                                
MACGEN     02  DUMMY  PIC X(8) VALUE 'DFHDUMMY'.
                                                         
       01  INPUT-DATA-CONTAINER.                                                
MACGEN     COPY ICATALOG.
                                                              
       LINKAGE SECTION.                                                         
           COPY DFHMAN02.                                                       
           COPY DFHMAMOC.                                                       
       PROCEDURE DIVISION.                                                      
           COPY DFHMAN03.                                                       
       1000-MAIN-PROCESS-RTN.                                                   
           MOVE 'MAIN'    TO NSC-STEP.                                          

MACGEN     IF NSC-LAST-ACTIVITY EQUAL 'intf-CheckItemAv'
MACGEN       PERFORM intf-CheckItemAv-RETURN
MACGEN     ELSE 
MACGEN     IF NSC-LAST-ACTIVITY EQUAL 'PlaceOrder'
MACGEN       PERFORM PlaceOrder-RETURN
MACGEN     ELSE 
MACGEN       CONTINUE.
                                                            
           COPY DFHMAN04.                                                       
       1000-PARAGRAPH.                                                          

MACGEN* InTerminal i_CatalogOrder
MACGEN* Copybook Name: ICATALOG.CPY
MACGEN* Message Data Structure: I-CATALOGORDER

MACGEN* Mapping: variableAssignInput
MACGEN     
MACGEN     COMPUTE ITEMQUANTITY OF V-CATALOGORDER
                = ITEMQUANTITY OF I-CATALOGORDER.
MACGEN     
MACGEN     COMPUTE ITEMNUMBER OF V-CATALOGORDER =
                ITEMNUMBER OF I-CATALOGORDER.
MACGEN     
MACGEN     MOVE ITEMNUMBER OF I-CATALOGORDER TO
                ITEMNUMBER OF I-CHECKITEMAVAILABILITY.
      *********************** DFHMAN06 *********************************
      * @START_RRS_COPYRIGHT@
      * VERSION: 0
      *
      * Licensed Materials - Property of IBM
      *
      * 5655-M15
      *                                                                         
      * (C) Copyright IBM Corp. 2000, 2005                                      
      * @END_RRS_COPYRIGHT@
      ******************************************************************
MACGEN* CommandFC - intf-CheckItemAv
MACGEN     MOVE 'intf-CheckItemAv' TO NSC-CHILD-ACTIVITY.
MACGEN     MOVE 'SAMPCIPN' TO NSC-CHILD-PROGRAM-ID.
MACGEN     MOVE 'SADI'  TO NSC-CHILD-TRANSACTION.
MACGEN     MOVE +5  TO NSC-CHILD-TYPE.
           IF CSC-STEP NOT EQUAL 'PUT1'
MACGEN        MOVE LENGTH OF I-CHECKITEMAVAILABILITY
                TO WS-CIC-LENGTH
MACGEN        MOVE I-CHECKITEMAVAILABILITY
                TO COMMAND-INPUT-CONTAINER.
MACGEN     
      
      ************** START: SFMTRACE code ******************************
           MOVE SPACES TO WS-TRACE-ENTRY.
MACGEN     SET SUBFLOW-TRACE-RESOURCE  TO TRUE.
           STRING "REQUEST: ", ADC-MAH-REQUESTNAME DELIMITED BY SIZE
                  " PROGRAM: ", WS-PROGRAM-ID DELIMITED BY SIZE
                  " NODE: ", WS-TRACE-RESOURCE DELIMITED BY SIZE
MACGEN            " ACTIVITY: ", 'intf-CheckItemAv' 
                       DELIMITED BY SIZE
                INTO WS-TRACE-ENTRY.
           EXEC CICS ENTER TRACENUM(104)
                           RESOURCE(WS-TRACE-RESOURCEID)
                           FROM(WS-TRACE-ENTRY)
                           FROMLENGTH(LENGTH OF WS-TRACE-ENTRY)
                           NOHANDLE
           END-EXEC. 
      ************** TRAILER: SFMTRACE *********************************


           PERFORM 2000-PROCESS-ACTIVITY-RTN
              THRU 2000-PROCESS-ACTIVITY-EXIT.
           IF NOT NAVIGATOR-GOOD  OR  ASYNC-REQUEST
               PERFORM 9010-NAVIGATOR-RETURN.
MACGEN intf-CheckItemAv-RETURN.
MACGEN     
MACGEN      MOVE COMMAND-OUTPUT-CONTAINER TO 
MACGEN       O-CHECKITEMAVAILABILITY.

      ************** TRAILER: DFHMAN06 *********************************


MACGEN* Mapping: Assign
MACGEN     
MACGEN     MOVE AVAILABLE OF
                O-CHECKITEMAVAILABILITY TO AVAILABLE OF
                V-CATALOGORDER.

MACGEN* Switch: Switch
MACGEN     IF  (AVAILABLE OF V-CATALOGORDER = 'YES')
MACGEN       PERFORM 1010-PARAGRAPH THRU 1010-PARAGRAPH-EXIT
MACGEN      ELSE
MACGEN       PERFORM 1030-PARAGRAPH THRU 1030-PARAGRAPH-EXIT
MACGEN      END-IF.

                                                                
       1000-PARAGRAPH-EXIT.                                                     
           EXIT.                                                                
----->* END MAIN RTN / START SUB RTN *<-----

       1010-PARAGRAPH.

MACGEN* Mapping: Assign1
MACGEN     
MACGEN     MOVE 'DEPT' TO CA-CHARGE-DEPT OF
                CA-ORDER-REQUEST OF DFH0XCMN-DFHCOMMAREA.
MACGEN     
MACGEN     MOVE 'JOE' TO CA-USERID OF
                CA-ORDER-REQUEST OF DFH0XCMN-DFHCOMMAREA.
MACGEN     
MACGEN     MOVE '01ORDR' TO CA-REQUEST-ID OF
                DFH0XCMN-DFHCOMMAREA.
MACGEN     
MACGEN     COMPUTE CA-QUANTITY-REQ OF
                CA-ORDER-REQUEST OF DFH0XCMN-DFHCOMMAREA =
                ITEMQUANTITY OF V-CATALOGORDER.
MACGEN     
MACGEN     COMPUTE CA-ITEM-REF-NUMBER OF
                CA-ORDER-REQUEST OF DFH0XCMN-DFHCOMMAREA =
                ITEMNUMBER OF V-CATALOGORDER.
      *********************** DFHMAN09 *********************************       
      * @START_RRS_COPYRIGHT@
      * VERSION: 1 
      *
      * Licensed Materials - Property of IBM
      * 
      * 5655-M15
      * 
      * (C) Copyright IBM Corp. 2006, 2007
      * @END_RRS_COPYRIGHT@
      ******************************************************************
MACGEN* CommandFC - PlaceOrder
MACGEN     MOVE 'PlaceOrder' TO NSC-CHILD-ACTIVITY.
           MOVE WS-DPL-PROGRAMID     TO NSC-CHILD-PROGRAM-ID.
MACGEN     MOVE 'CMAS'       TO NSC-CHILD-TRANSACTION.
MACGEN     MOVE +1       TO NSC-CHILD-TYPE.

           SET DPC-COMMAREA TO TRUE.
MACGEN     MOVE 'ADPLACEO'      TO DPC-PROP-KEY.
MACGEN     MOVE 998       TO DPC-COMMAREA-LENGTH.

           IF CSC-STEP NOT EQUAL 'PUT1'
MACGEN        MOVE LENGTH OF DFH0XCMN-DFHCOMMAREA
                TO WS-CIC-LENGTH
MACGEN        MOVE DFH0XCMN-DFHCOMMAREA
                TO COMMAND-INPUT-CONTAINER.
MACGEN     

      
      ************** START: SFMTRACE code ******************************
           MOVE SPACES TO WS-TRACE-ENTRY.
MACGEN     SET COMM-LINK-TRACE-RESOURCE  TO TRUE.
           STRING "REQUEST: ", ADC-MAH-REQUESTNAME DELIMITED BY SIZE
                  " PROGRAM: ", WS-PROGRAM-ID DELIMITED BY SIZE
                  " NODE: ", WS-TRACE-RESOURCE DELIMITED BY SIZE
MACGEN            " ACTIVITY: ", 'PlaceOrder' 
                       DELIMITED BY SIZE
                INTO WS-TRACE-ENTRY.
           EXEC CICS ENTER TRACENUM(104)
                           RESOURCE(WS-TRACE-RESOURCEID)
                           FROM(WS-TRACE-ENTRY)
                           FROMLENGTH(LENGTH OF WS-TRACE-ENTRY)
                           NOHANDLE
           END-EXEC. 
      ************** TRAILER: SFMTRACE *********************************


           PERFORM 2000-PROCESS-ACTIVITY-RTN
              THRU 2000-PROCESS-ACTIVITY-EXIT.
           IF NOT NAVIGATOR-GOOD  OR  ASYNC-REQUEST
               PERFORM 9010-NAVIGATOR-RETURN.
MACGEN PlaceOrder-RETURN.
MACGEN     
MACGEN        MOVE 'DFH0XCMN' TO CSC-RESULT-NAME
MACGEN        MOVE LENGTH OF DFH0XCMN-DFHCOMMAREA
MACGEN                    TO WS-COC-LENGTH.
MACGEN     
MACGEN      MOVE COMMAND-OUTPUT-CONTAINER TO 
MACGEN       DFH0XCMN-DFHCOMMAREA.
      ************** TRAILER: DFHMAN09 *********************************

MACGEN* Mapping: variableAssignOutput
MACGEN     
MACGEN     MOVE CA-RESPONSE-MESSAGE OF
                DFH0XCMN-DFHCOMMAREA TO RETURNMESSAGE OF
                O-CATALOGORDER.
MACGEN     
MACGEN     COMPUTE RETURNCODE OF O-CATALOGORDER =
                CA-RETURN-CODE OF DFH0XCMN-DFHCOMMAREA.

MACGEN     PERFORM 1020-PARAGRAPH THRU 1020-PARAGRAPH-EXIT.
       1010-PARAGRAPH-EXIT.
MACGEN     EXIT.

       1020-PARAGRAPH.

MACGEN* Reply: o_CatalogOrder
MACGEN* Copybook Name: OCATALOG.CPY
MACGEN* Message Data Structure: O-CATALOGORDER
      *********************** DFHMAN07 *********************************        
      * @START_RRS_COPYRIGHT@                                                   
      * VERSION: 0                                                              
      *                                                                         
      * Licensed Materials - Property of IBM                                    
      *                                                                         
      * 5655-M15                                                                
      *                                                                         
      * (C) Copyright IBM Corp. 2000, 2005                                      
      * @END_RRS_COPYRIGHT@                                                     
      ******************************************************************        
MACGEN     MOVE LENGTH OF O-CATALOGORDER                                        
                                         TO WS-ODC-LENGTH                       
                                            ADC-ODC-LENGTH.                     
           SET ADDRESS OF OUTPUT-DATA-CONTAINER                                 
MACGEN      TO ADDRESS OF O-CATALOGORDER.                                       
MACGEN     MOVE 'OCATALOG'                                              
                            TO NSC-RESULT-NAME.                                 
MACGEN     MOVE '        '                                           
                            TO NSC-XML-PROGRAMID.                               
           IF WS-PROGRAM-TYPE EQUAL ZERO  AND                                   
              ASYNC-REQUEST                                                     
               PERFORM 9000-NAVIGATOR-EXIT.                                     
                                                                                
      ************** TRAILER: DFHMAN07 *********************************        
                                                                                

       1020-PARAGRAPH-EXIT.
MACGEN     EXIT.

       1030-PARAGRAPH.

MACGEN* Mapping: Assign2
MACGEN     
MACGEN     MOVE
           'ITEM WAS NOT AVAILABLE IN THE CATALOG'
                TO RETURNMESSAGE OF O-CATALOGORDER.
MACGEN     
MACGEN     COMPUTE RETURNCODE OF O-CATALOGORDER =
                99.

MACGEN     PERFORM 1020-PARAGRAPH THRU 1020-PARAGRAPH-EXIT.
       1030-PARAGRAPH-EXIT.
MACGEN     EXIT.
                                                                 
           COPY DFHMAN35.                                                       
                                                                                
      ************** TRAILER: DFHMAN20 *********************************        
                                                                                
